org.apache.lucene.util.packed

## Class PackedInts.Header

- java.lang.Object
- - org.apache.lucene.util.packed.PackedInts.Header

Enclosing class:
  PackedInts

    public static class PackedInts.Header
    extends Object

Header identifying the structure of a packed integer array.

### Constructor Summary

Constructors
Constructor and Description
`PackedInts.Header(PackedInts.Format format, int valueCount, int bitsPerValue, int version)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PackedInts.Header

    public PackedInts.Header(PackedInts.Format format,
                     int valueCount,
                     int bitsPerValue,
                     int version)